BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Enum

Specifies how the operating system opens a file.

values specify whether a file is created if one does not exist, and determine whether the contents of existing files are retained or overwritten.

- Field
  System.IO.FileMode Append

  Requests a file be opened. If the file exists, its contents are preserved. This value is valid only for access. Attempts to read from a file opened with cause an exception.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.IO.FileMode Create

  Requests a new file be created if it does not exist. The file contents are overwritten if it does exist. This value is equivalent to requesting that if the file does not exist, use ; otherwise, use .

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.IO.FileMode CreateNew

  Requests a new file be created. An exception is thrown if the file already exists.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.IO.FileMode Open

  Requests an existing file be opened. An exception is thrown if the file does not exist.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.IO.FileMode OpenOrCreate

  Requests a file be opened. The file is created if it does not exist.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.IO.FileMode Truncate

  Requests an existing file be opened; existing contents are deleted. This value is valid only for access. Attempts to read from a file opened with cause an exception.

  To be added. 0 1.0.5000.0 2.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)